Affiche les résultats de 1 à 3 sur 3

Sujet : Trop de Drivers ... Ou c'est normal ?

  1. #1
    Caméléon sympa Avatar de Philoupes
    Inscrit
    septembre 2008
    Lieu
    Nantes
    Distribution
    en fait c'est la 15.1 mais elle est pas dans liste...
    Environnement
    KDE
    Messages
    416

    Trop de Drivers ... Ou c'est normal ?

    Bonjour à toutes et tous,

    Suite à mes problème de scintillement (Cf. autre fil dans Matériel) j'ai inspecté la liste des drivers coché en vert dans YAST... Je suis étonné de voir notamment le driver "Nouveau" et ceux de "NVIDIA" coché en vert... Je pensais qu'ils étaient incompatible.
    Pareil pour DRI truc....
    Voici ci dessous l'intégralité du listing de mes drivers "actifs" dans Yast
    libdrm_nouveau2
    libdrm_nouveau2-32bit
    nvidia-computeG05
    nvidia-gfxG05-kmp-default
    nvidia-glG05
    suse-prime
    x11-video-nvidiaG05
    xf86-video-nouveau
    Mesa-dri-nouveau
    libvdpau-nouveau
    Ma configuration matérielle est un portable DELL Alienware m15 dernière génération avec une carte Intel et une carte NVIDIA
    /sbin/lspci | grep VGA
    00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 630 (Mobile)
    01:00.0 VGA compatible controller: NVIDIA Corporation TU106M [GeForce RTX 2070 Mobile] (rev a1)
    Bien entendu mes maigres connaissances sur le sujet m'interdisent d'aller désactiver quoi que ce soit dans le YAST avant d'avoir obtenu un (ou plusieurs) avis avisé à ce sujet...
    Dois-je désactiver Mesa-DRI ? dois-je désactiver un ou plusieurs "nouveau" ???

    Merci d'avance pour vos suggestions.
    Amicalement
    Philippe

    PS : Il va sans dire que j'ai cherché sur le net et malheureusement rien n'est réellement clair... Dès fois je trouve qu'il faut mettre MESA-DRI en "taboo" d'autre fois qu'il faut le laisser, enfin d'autre fois qu'il faut carrément désinstaller tout ce qui est en rapport avec "Nouveau"....
    -----
    Vox Clamentis in Deserto

  2. #2
    Caméléon sympa
    Inscrit
    octobre 2014
    Distribution
    openSUSE Tumbleweed (64 bits)
    Environnement
    KDE
    Messages
    333
    pour ce qui est des drivers tu as plusieurs point.
    pour comprendre un peu tout sa:
    libdrm: drm=> direct rendering Manager, regarde ici https://fr.wikipedia.org/wiki/Direct_Rendering_Manager
    mesa-dri : gestion de l'accélération graphique.
    libvdpau: gestion de la compresion/décompresion de sur la carte graphique.
    xf86-video: gestion des modules pour Xorg et la carte graphique

    c'est paquets existe en différente version, en fonction de la carte graphique que tu utilse ex: xf86-video-nouveau pour nvidia xf86-video-intel pour les cartes intel.


    pour le drivers propriétaire:
    nvidia-glG05: c'est drivers
    nvidia-gfxG05-kmp-default: c'est le module dans pour le noyaux linux
    nvidia-computeG05: c'est pour le support de cuda et OpenCl .
    x11-video-nvidiaG05 : il y a pas mal de chose: nvidia-setting, libvdpau, les modules pour xorg.

    quand à suse-prime perme de swicher entre le rendue direct entre les différentes cartes graphique.

    David

  3. #3
    Caméléon sympa Avatar de Philoupes
    Inscrit
    septembre 2008
    Lieu
    Nantes
    Distribution
    en fait c'est la 15.1 mais elle est pas dans liste...
    Environnement
    KDE
    Messages
    416
    Bonsoir David,
    Et merci pour toutes tes réponses !
    Donc, si je comprends bien, équipé de deux cartes graphiques (la Intel et la Nvidia) j'ai effectivement besoin de tous ces paquets là...
    Ok, car il y a une groooooosse mise à jour à faire ... plus de 2600 items d'après la petite roue dentée du bas à droite de mon écran...
    Je me lance alors
    Amicalement
    Philippe
    -----
    Vox Clamentis in Deserto

Tags pour ce sujet

Règles des messages

  • Vous ne pouvez pas créer de sujets
  • Vous ne pouvez pas répondre aux sujets
  • Vous ne pouvez pas importer de fichiers joints
  • Vous ne pouvez pas modifier vos messages
  •  
  • Les BB codes sont Activés
  • Les Smileys sont Activés
  • Le BB code [IMG] est Activé
  • Le code [VIDEO] est Activé
  • Le code HTML est Désactivé